## net.sf.statsvn.util
Class SvnStartupUtils

    java.lang.Object
      net.sf.statsvn.util.SvnStartupUtils

    public final class SvnStartupUtils

extends java.lang.Object

Utility class that verifies if the correct version of subversion is used.

Version:
  $Id: SvnStartupUtils.java 351 2008-03-28 18:46:26Z benoitx $
Author:
  Jean-Philippe Daigle <jpdaigle@softwareengineering.ca>

Method Summary
`static boolean` `checkDiffPerRevPossible(java.lang.String version)`
`static void` `checkRepoRootAvailable()` Verifies that the "svn info" command can return the repository root (info available in svn >= 1.3.0)
`static java.lang.String` `checkSvnVersionSufficient()` Verifies that the current revision of SVN is SVN_MINIMUM_VERSION

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### checkSvnVersionSufficient

    public static java.lang.String checkSvnVersionSufficient()
                                                      throws SvnVersionMismatchException

  Verifies that the current revision of SVN is SVN_MINIMUM_VERSION

  Returns:
    the version string
  Throws:
    `SvnVersionMismatchException` - if SVN executable not found or version less than SVN_MINIMUM_VERSION

### checkRepoRootAvailable

    public static void checkRepoRootAvailable()
                                       throws SvnVersionMismatchException

  Verifies that the "svn info" command can return the repository root (info available in svn >= 1.3.0)

  Throws:
    `SvnVersionMismatchException` - if `svn info` failed to provide a non-empty repository root

### checkDiffPerRevPossible

    public static boolean checkDiffPerRevPossible(java.lang.String version)